Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.builder.client
Class DomStyleBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<StyleBuilder,StyleElement>
              com.google.gwt.dom.builder.client.DomStyleBuilder

All Implemented Interfaces:
  ElementBuilderBase<StyleBuilder>, StyleBuilder

    public class DomStyleBuilder

extends DomElementBuilderBase<StyleBuilder,StyleElement>
implements StyleBuilder

DOM-based implementation of `StyleBuilder`.

Field Summary

Fields inherited from interface com.google.gwt.dom.builder.shared.StyleBuilder
`UNSUPPORTED_HTML`

Constructor Summary
`DomStyleBuilder(DomBuilderImpl delegate)`

Method Summary
`StyleBuilder` | `cssText(java.lang.String cssText)` Sets the CSS text.
`StyleBuilder` | `disabled()` Disable the style sheet.
`StyleBuilder` | `html(SafeHtml html)` Append html within the node.
`boolean` | `isChildElementSupported()` Check if child elements are supported.
`StyleBuilder` | `media(java.lang.String media)` Designed for use with one or more target media.
`StyleBuilder` | `text(java.lang.String text)` Append text within the node.
`StyleBuilder` | `type(java.lang.String type)` The content type of the style sheet language.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase
`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase
`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isEndTagForbidden, style`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase
`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

Constructor Detail

### DomStyleBuilder

    DomStyleBuilder(DomBuilderImpl delegate)

Method Detail

### cssText

    public StyleBuilder cssText(java.lang.String cssText)

  Description copied from interface: `StyleBuilder`
  Sets the CSS text.

  Specified by:
    `cssText` in interface `StyleBuilder`

### disabled

    public StyleBuilder disabled()

  Description copied from interface: `StyleBuilder`
  Disable the style sheet.

  Specified by:
    `disabled` in interface `StyleBuilder`

### html

    public StyleBuilder html(SafeHtml html)

  Description copied from interface: `ElementBuilderBase`
  Append html within the node.

  Once you append HTML to the element, you can no longer set attributes.

  Specified by:
    `html` in interface `ElementBuilderBase<StyleBuilder>`
  Specified by:
    `html` in interface `StyleBuilder`
  Overrides:
    `html` in class `AbstractElementBuilderBase<StyleBuilder>`
  Parameters:
    `html` - the HTML to append
  Returns:
    this builder

### isChildElementSupported

    public boolean isChildElementSupported()

  Description copied from interface: `ElementBuilderBase`
  Check if child elements are supported.

  Specified by:
    `isChildElementSupported` in interface `ElementBuilderBase<StyleBuilder>`
  Overrides:
    `isChildElementSupported` in class `AbstractElementBuilderBase<StyleBuilder>`
  Returns:
    true if supported, false if not.

### media

    public StyleBuilder media(java.lang.String media)

  Description copied from interface: `StyleBuilder`
  Designed for use with one or more target media.

  Specified by:
    `media` in interface `StyleBuilder`
  See Also:
    W3C HTML Specification

### text

    public StyleBuilder text(java.lang.String text)

  Description copied from interface: `ElementBuilderBase`
  Append text within the node.

  Once you append text to the element, you can no longer set attributes.

  A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

  Specified by:
    `text` in interface `ElementBuilderBase<StyleBuilder>`
  Specified by:
    `text` in interface `StyleBuilder`
  Overrides:
    `text` in class `AbstractElementBuilderBase<StyleBuilder>`
  Parameters:
    `text` - the text to append
  Returns:
    this builder

### type

    public StyleBuilder type(java.lang.String type)

  Description copied from interface: `StyleBuilder`
  The content type of the style sheet language.

  Specified by:
    `type` in interface `StyleBuilder`
  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD